import { MySQLInstrumentation } from '@opentelemetry/instrumentation-mysql';
export declare const instrumentMysql: ((options?: unknown) => MySQLInstrumentation) & {
    id: string;
};
/**
 * Adds Sentry tracing instrumentation for the [mysql](https://www.npmjs.com/package/mysql) library.
 *
 * For more information, see the [`mysqlIntegration` documentation](https://docs.sentry.io/platforms/javascript/guides/node/configuration/integrations/mysql/).
 *
 * @example
 * ```javascript
 * const Sentry = require('@sentry/node');
 *
 * Sentry.init({
 *  integrations: [Sentry.mysqlIntegration()],
 * });
 * ```
 */
export declare const mysqlIntegration: () => import("@sentry/core").Integration;
//# sourceMappingURL=mysql.d.ts.map
