import { PgInstrumentation } from '@opentelemetry/instrumentation-pg';
export declare const instrumentPostgres: ((options?: unknown) => PgInstrumentation) & {
    id: string;
};
/**
 * Adds Sentry tracing instrumentation for the [pg](https://www.npmjs.com/package/pg) library.
 *
 * For more information, see the [`postgresIntegration` documentation](https://docs.sentry.io/platforms/javascript/guides/node/configuration/integrations/postgres/).
 *
 * @example
 * ```javascript
 * const Sentry = require('@sentry/node');
 *
 * Sentry.init({
 *  integrations: [Sentry.postgresIntegration()],
 * });
 * ```
 */
export declare const postgresIntegration: () => import("@sentry/core").Integration;
//# sourceMappingURL=postgres.d.ts.map
