import { LruMemoizerInstrumentation } from '@opentelemetry/instrumentation-lru-memoizer';
export declare const instrumentLruMemoizer: ((options?: unknown) => LruMemoizerInstrumentation) & {
    id: string;
};
/**
 * Adds Sentry tracing instrumentation for the [lru-memoizer](https://www.npmjs.com/package/lru-memoizer) library.
 *
 * For more information, see the [`lruMemoizerIntegration` documentation](https://docs.sentry.io/platforms/javascript/guides/node/configuration/integrations/lrumemoizer/).
 *
 * @example
 * ```javascript
 * const Sentry = require('@sentry/node');
 *
 * Sentry.init({
 *  integrations: [Sentry.lruMemoizerIntegration()],
 * });
 */
export declare const lruMemoizerIntegration: () => import("@sentry/core").Integration;
//# sourceMappingURL=lrumemoizer.d.ts.map